'Compileroption: "-s console"
#include "sGUI\sGUI.bas"
#include once "sGUI\Label.bas"

screen 19,32

InitGFX
bload "BMPs\effekt.bmp",0

dim as EventHandle ptr event
event=CreateEventHandle

dim as Gadget ptr label
label= AddLabel(event,100,100,"Klick mich an") '
GadgetOn(label)

'Console öffnen für output
dim as integer ff=freefile
open cons for output as ff
print #ff,"<1> Labeltext auf 'ein anderer Labeltext' setzen"
print #ff,"<2> Labeltext auf 'noch ein anderer Labeltext' setzen"
print #ff,"<3> Labeltextfarbe auf &HFFFFFF setzen"
print #ff,"<4> Labeltextfarbe auf &H0000FF setzen"


do
  event->xSleep(1)
  if event->GADGETMESSAGE then
    select case event->GADGETMESSAGE
      case label
        print #ff,"Label wurde angeklickt"
    end select
  end if

  if event->KEY<>"" then
    select case event->KEY
      case "1"
        SetCaption(label,"ein anderer Labeltext")
        print #ff,"Labeltext auf 'ein anderer Labeltext' gesetzt"
      case "2"
        SetCaption(label,"noch ein anderer Labeltext")
        print #ff,"Labeltext auf 'noch ein anderer Labeltext' gesetzt"
      case "3"
        SetLabelColor(label,&HFF0000)
        print #ff,"Labeltextfarbe auf &HF0000 gesetzt"
      case "4"
        SetLabelColor(label,&H0000FF)
        print #ff,"Labeltextfarbe auf &H0000FF gesetzt"
    end select
  end if

loop until event->EXITEVENT

close ff

DestroyEventHandle (event)
end

/'
function AddLabel (event as EventHandle ptr,x as integer,y as integer,txt as string,col as integer=TextColor) as Gadget ptr
event   ein Zeiger zu einem EventHandle
x       Position in px
y       Position in px
txt     Labeltext
col     optional, Labeltextfarbe



sub SetCaption(gad as _Gadget ptr,txt as string)
setzt neuen Text
gad         Zeiger auf ein Control
txt         neuer Text


weitere Manipulationen mit GadgetOn,GadgetOff,GadgetSleep

'/
